Bug 343871 - Review Request: qlandkarte - A tool to visualize maps and other GPS information for Garmin devices
Review Request: qlandkarte - A tool to visualize maps and other GPS informati...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-20 11:35 EDT by Douglas E. Warner
Modified: 2008-12-24 19:43 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.5.3-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-05 16:57:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
update fro the spec file (1.26 KB, patch)
2007-10-20 12:40 EDT, Dan Horák
no flags Details | Diff
desktop file (155 bytes, application/x-desktop)
2007-10-20 12:41 EDT, Dan Horák
no flags Details
patch for the spec file to fix the issues with QLandkarte/common (325 bytes, patch)
2007-10-20 12:47 EDT, Dan Horák
no flags Details | Diff
new desktop file (168 bytes, application/x-desktop)
2007-10-22 11:28 EDT, Dan Horák
no flags Details
icon for the desktop file (604 bytes, image/x-xpixmap)
2007-10-22 11:28 EDT, Dan Horák
no flags Details
updates for the spec file (1.13 KB, patch)
2007-10-22 11:29 EDT, Dan Horák
no flags Details | Diff

  None (edit)
Description Douglas E. Warner 2007-10-20 11:35:41 EDT
Spec URL: http://www.silfreed.net/download/repo/packages/qlandkarte/qlandkarte.spec
SRPM URL: http://www.silfreed.net/download/repo/packages/qlandkarte/qlandkarte-0.5.3-2.src.rpm
Description: 
Provides a GUI to visualize data from GPS device's tracks and maps.
Comment 1 Dan Horák 2007-10-20 12:40:07 EDT
- License tag should be GPLv2+, the source files contain "version 2 or any later"
- missing BuildRequires: proj-devel libusb-devel (+desktop-file-utils)
- as it is a GUI application a desktop file must be provided
- the parallel make command should be "make %{?_smp_mflags}"
- QLANDKARTE_LIBDIR (defined in QLandkarte/common) is used for plugins and they
must be installed in %{_libdir}/..., so hardcoding /usr/lib/ works only for
32-bit architectures
- QMAKE_CXXFLAGS_RELEASE (defined in QLandkarte/common) set to -O3 overrides
Fedora's default level (-O2)
- in the %files section the %{_libdir}/%{name} directory is not owned, you can
use it as it includes the *.so too
Comment 2 Dan Horák 2007-10-20 12:40:43 EDT
Created attachment 233471 [details]
update fro the spec file
Comment 3 Dan Horák 2007-10-20 12:41:25 EDT
Created attachment 233481 [details]
desktop file
Comment 4 Dan Horák 2007-10-20 12:47:03 EDT
Created attachment 233491 [details]
patch for the spec file to fix the issues with QLandkarte/common

update QLandkarte/common after unpacking the sources in %prep
Comment 5 Douglas E. Warner 2007-10-22 09:44:24 EDT
Spec URL: 
http://www.silfreed.net/download/repo/packages/qlandkarte/qlandkarte.spec
SRPM URL: 
http://www.silfreed.net/download/repo/packages/qlandkarte/qlandkarte-0.5.3-3.src.rpm

%changelog
* Mon Oct 22 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.3-3
- spec file patches and desktop file by Dan Horak <dan@danny.cz>
  GPLv2+
  desktop file
  use sed to cleanup problems in makefile
  additional BuildRequires
Comment 6 Dan Horák 2007-10-22 11:27:03 EDT
I have done yet a few changes:
- separated the earth icon from icons.cpp and used it as an icon for the desktop
file
- disabled the parallel make build as it doesn't work, it looks like that the
build system doesn't define _smp_mflags, so it is buildable in Koji, but on my
machine it crashes. Probably there are missing some inter-file dependencies, but
it is a qmake problem.

The review is here:
OK	source files match upstream:
	    a995b5ae55263975ba5de36f164094c2b18f8951  QLandkarte.2007.09.18.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible (GPLv2+). License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (development/i386) + in koji.
OK	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	is a GUI app, desktop file is included

This package is APPROVED.
Comment 7 Dan Horák 2007-10-22 11:28:05 EDT
Created attachment 234181 [details]
new desktop file
Comment 8 Dan Horák 2007-10-22 11:28:53 EDT
Created attachment 234191 [details]
icon for the desktop file
Comment 9 Dan Horák 2007-10-22 11:29:29 EDT
Created attachment 234201 [details]
updates for the spec file
Comment 10 Douglas E. Warner 2007-10-22 12:23:00 EDT
Spec URL: 
http://www.silfreed.net/download/repo/packages/qlandkarte/qlandkarte.spec
SRPM URL: 
http://www.silfreed.net/download/repo/packages/qlandkarte/qlandkarte-0.5.3-4.src.rpm

%changelog
* Mon Oct 22 2007 Douglas E. Warner <silfreed@silfreed.net> 0.5.3-4
- including icon for desktop file
- disabling parallel make flags
Comment 11 Douglas E. Warner 2007-10-22 12:25:36 EDT
New Package CVS Request
=======================
Package Name: qlandkarte
Short Description: A tool to visualize maps and other GPS information for 
Garmin devices
Owners: silfreed, sharkcz
Branches: FC-6 F-7 F-8 devel
Cvsextras Commits: yes
Comment 12 Kevin Fenzi 2007-10-22 15:42:32 EDT
cvs done.
Comment 13 Fedora Update System 2007-10-24 03:14:39 EDT
qlandkarte-0.5.3-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qlandkarte'
Comment 14 Fedora Update System 2007-11-05 16:57:38 EST
qlandkarte-0.5.3-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2007-11-06 11:15:35 EST
qlandkarte-0.5.3-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qlandkarte'
Comment 16 Fedora Update System 2007-12-20 15:12:57 EST
qlandkarte-0.5.3-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Dan Horák 2008-12-23 11:43:52 EST
Package Change Request
======================
Package Name: qlandkarte
New Branches: EL-5
Owners: sharkcz
Comment 18 Kevin Fenzi 2008-12-24 19:43:16 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.